Description

Code migrations sometimes need to check or even modify YAML configuration.

Associated revisions
Revision a3c0c8b1 - 2012-12-05 14:53 - Karsten Dambekalns

[FEATURE] Allow configuration processing in code migrations

This adds the new method ``processConfiguration`` to AbstractMigration.

It is given a configuration type, a processor and an optional flag
stating whether or not the processed configuration should be saved.

The processor is a Closure and is handed the parsed configuration of the
package under migration, for each found file separately. If you need to
modify the configuration, make sure to use pass-by-reference for the
processor configuration parameter in addition to setting the $saveResult
flag to TRUE.

Change-Id: I06bdc8cd1a5e3ec04ad15b058a65d182720e7044
Resolves: #43089
Releases: 1.2

History
#1 - 2012-11-19 17:46 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16571

#2 - 2012-12-05 14:53 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16571

#3 - 2012-12-11 10:28 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
